@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');
@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  :root {
    --background: 0 0% 100%;
    --foreground: 222.2 84% 4.9%;

    --primary: 222.2 47.4% 11.2%;
    --primary-foreground: 210 40% 98%;

    --secondary: 210 40% 96.1%;
    --secondary-foreground: 222.2 47.4% 11.2%;

    --accent: 210 40% 96.1%;
    --accent-foreground: 222.2 47.4% 11.2%;

    --destructive: 0 84.2% 60.2%;
    --destructive-foreground: 210 40% 98%;

    --border: 214.3 31.8% 91.4%;
    --input: 214.3 31.8% 91.4%;
    --ring: 222.2 84% 4.9%;

    --radius: 0.5rem;
  }

  .dark {
    --background: 222.2 84% 4.9%;
    --foreground: 210 40% 98%;

    --primary: 210 40% 98%;
    --primary-foreground: 222.2 47.4% 11.2%;

    --secondary: 217.2 32.6% 17.5%;
    --secondary-foreground: 210 40% 98%;

    --accent: 217.2 32.6% 17.5%;
    --accent-foreground: 210 40% 98%;

    --destructive: 0 62.8% 30.6%;
    --destructive-foreground: 210 40% 98%;

    --border: 217.2 32.6% 17.5%;
    --input: 217.2 32.6% 17.5%;
    --ring: 212.7 26.8% 83.9%;
  }
}

@layer base {
  * {
    @apply border-border;
  }

  body {
    @apply bg-background text-foreground;
  }
}

.col-span-2 {
  grid-column: span 2 / span 2;
}

.col-span-3 {
  grid-column: span 3 / span 3;
}

.col-span-4 {
  grid-column: span 4 / span 4;
}

.col-span-5 {
  grid-column: span 5 / span 5;
}

.row-span-2 {
  grid-row: span 2 / span 2;
}

.row-span-3 {
  grid-row: span 3 / span 3;
}

.row-span-4 {
  grid-row: span 4 / span 4;
}

.row-span-5 {
  grid-row: span 5 / span 5;
}

.da-clickable {
  @apply cursor-pointer;
}

/*********** Font size and weight ********************/
.da-txt-tiny {
  font-size: 12px;
}

.da-txt-small {
  font-size: 14px;
}

.da-txt-regular {
  font-size: 16px;
}

.da-txt-medium {
  font-size: 18px;
}

.da-txt-large {
  font-size: 20px;
}

.da-txt-huge {
  font-size: 24px;
}

/*********** For Text Component ********************/

.da-label-regular {
  @apply da-txt-regular font-light;
}

.da-label-regular-medium {
  @apply da-txt-regular font-medium;
}

.da-label-regular-bold {
  @apply da-txt-regular font-semibold;
}

.da-label-tiny {
  @apply da-txt-tiny;
}

.da-label-small {
  @apply da-txt-small font-light;
}

.da-label-small-bold {
  @apply da-txt-small font-semibold;
}

.da-label-small-medium {
  @apply da-txt-small font-medium;
}

.da-label-sub-title {
  @apply da-txt-medium font-semibold;
}

.da-label-title {
  @apply da-txt-large font-semibold;
}

.da-label-huge {
  @apply da-txt-huge font-light;
}

.da-label-huge-bold {
  @apply da-txt-huge font-semibold;
}

/*********** For Button Component ********************/
.da-btn {
  @apply select-none cursor-pointer inline-flex items-center justify-center whitespace-nowrap rounded-md font-medium transition-colors focus-visible:outline-none focus-visible:ring-1 focus-visible:ring-ring disabled:pointer-events-none disabled:opacity-50;
}

.da-btn-solid {
  @apply bg-da-primary-500 text-da-white shadow hover:bg-da-primary-500/90;
}

.da-btn-outline {
  @apply border text-da-primary-500 border-da-primary-500 shadow-sm hover:bg-da-primary-500/10;
}

.da-btn-outline-nocolor {
  @apply border bg-white text-da-gray-medium border-da-gray-light hover:bg-da-gray-light shadow;
}

.da-btn-plain {
  @apply text-da-gray-medium hover:bg-da-primary-100 hover:text-da-primary-500;
}

.da-btn-text {
  @apply text-da-primary-500 hover:underline;
}

.da-btn-link {
  @apply text-da-gray-medium hover:underline;
}

.da-btn-gradient {
  @apply bg-gradient-to-r from-da-gradient-from to-da-gradient-to text-da-white shadow-sm hover:opacity-90;
}

.da-btn-secondary {
  @apply bg-da-gray-medium text-da-white shadow-sm hover:bg-da-gray-medium/80;
}

.da-btn-destructive {
  @apply text-da-gray-medium hover:text-da-destructive hover:bg-da-destructive/10;
}

.da-btn-sm {
  @apply h-8 rounded-md px-2 py-1 da-txt-small;
}

.da-btn-md {
  @apply h-10 rounded-md px-4 py-1 da-txt-regular;
}

.da-btn-lg {
  @apply h-12 rounded-md px-4 py-1 da-txt-medium;
}

/*********** For Block Component ********************/
.da-block-bare {
  @apply px-4 py-2 flex items-center justify-center;
}

.da-block-default {
  @apply text-white bg-da-primary-500;
}

.da-block-outline {
  @apply text-da-primary-500 border border-da-primary-500;
}

/*********** NAV BAR ********************/
.da-nav-bar {
  height: 56px;
  max-height: 56px;
  @apply px-2 md:px-4 py-2 flex items-center w-full;
}

.da-nav-bar-logo {
  height: 30px;
}

/*********** Popup ********************/
.da-popup-placeholder {
  display: contents;
}

.da-popup-inner {
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: white;
  border: none;
  padding: 20px;
  outline: none !important;
  border-radius: 10px;
  max-height: 100vh;
  overflow: auto;
}

/*********** For Scrollbar *********/
*::-webkit-scrollbar-track {
  border-radius: 4px;
  background-color: #f5f5f5;
}

*::-webkit-scrollbar {
  width: 8px;
  height: 8px;
  background-color: #f5f5f5;
}

*::-webkit-scrollbar-thumb {
  border-radius: 4px;
  background-color: rgba(0, 0, 0, 0.1);
}

*::-webkit-scrollbar-thumb:hover {
  border-radius: 4px;
  background-color: rgba(0, 0, 0, 0.3);
}

.scroll::-webkit-scrollbar-thumb,
body::-webkit-scrollbar-thumb {
  border-radius: 10px;
}

.scroll-gray::-webkit-scrollbar-thumb {
  border: 2px solid rgba(0, 0, 0, 0);
  background-clip: padding-box;
  background-color: #aaaaaa;
}

.scroll-gray-small::-webkit-scrollbar-thumb {
  border: 2px solid rgba(0, 0, 0, 0);
  background-clip: padding-box;
  background-color: #aaaaaa;
}

/*********** Textarea Component ****************/
.da-textarea {
  @apply flex min-h-[60px] w-full rounded-md border border-input bg-transparent px-3 py-2 text-base shadow-sm focus-visible:outline-none focus-visible:ring-1 focus-visible:ring-da-primary-500 disabled:opacity-50;
}

/*********** Menu Component ********************/

.da-menu-item {
  @apply da-btn-plain da-btn-sm mx-1 da-clickable da-label-small-medium;
}

.da-menu-dropdown {
  @apply !rounded-lg !px-1;
}

/******** Font and Colors for instances ********/
body {
  font-family: 'Manrope', sans-serif;
  /* font-family: "Geist Variable"; */
  /* font-family: "Roboto", sans-serif; */
  /* font-family: Inter, sans-serif; */
}

:root {
  --da-primary-100: 219 74 90;
  --da-primary-300: 219 74 51;
  --da-primary-500: 219 74 33;

  --da-secondary-100: 307 96 92;
  --da-secondary-300: 307 96 51;
  --da-secondary-500: 307 96 27;

  --da-accent-100: 307 96 92;
  --da-accent-300: 307 96 51;
  --da-accent-500: 307 96 27;

  --da-white: 0 0 100;
  --da-black: 0 0 0;

  --da-gray-light: 214 32 91;
  --da-gray-medium: 215 16 47;
  --da-gray-dark: 217 33 17;
  --da-destructive: 0 84 60;

  --da-gradient-from: 219 74 33;
  --da-gradient-to: 307 96 27;
}